<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">

<head>
    <meta charset="UTF-8" />
    <title>Employee Overtime</title>

    <!-- if there must be multiple plugins, put here -->
    <link rel="stylesheet" th:href="@{assets/css/customCss/employee-edit.css}">
    <link rel="stylesheet" th:href="@{assets/vendors/datatables.net-bs4/dataTables.bootstrap4.css}">
    <link rel="stylesheet" th:href="@{assets/vendors/css/fixedColumns.bootstrap.min.css}">
    <link rel="stylesheet" th:href="@{assets/vendors/bootstrap-datepicker/bootstrap-datepicker.min.css}">
    <!-- end -->
    <div th:replace="fragments/side-menu-header :: css-side"></div>

</head>

<body>
    <div class="container-scroller">
        <!-- partial:../../partials/_navbar.html -->
        <nav th:replace="fragments/side-menu-header :: navbar"></nav>
        <!-- partial -->
        <div class="container-fluid page-body-wrapper">
            <!-- partial:../../partials/_sidebar.html -->
            <nav th:replace="fragments/side-menu-menu :: sidebar"></nav>
            <!-- partial -->
            <div class="main-panel">
                <!-- content wrapper -->
                <div class="content-wrapper">
                    <div class="page-header">
                        <h3 class="page-title"> Employee </h3>
                        <nav aria-label="breadcrumb">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="/dashboard">Dashboard</a></li>
                                <li class="breadcrumb-item active" aria-current="page">Employee</li>
                            </ol>
                        </nav>
                    </div>

                    <!-- put your content here -->
                    <div class="card">
                        <div class="card-body" style="padding: 30px 0 0 0;">
                            <div class="template-demo d-flex justify-content-center bd-highlight mb-3">
                                <ul class="list-inline" style="border-bottom: 1px solid #afaaaa;">
                                    <li class="list-inline-item">
                                        <a th:href="@{/employee-edit}" class="btn btn-danger menuButton">General Info</a>
                                    </li>
                                    <li class="list-inline-item">
                                        <a href="#" class="btn btn-danger menuButton">Payroll</a>
                                    </li>
                                    <li class="list-inline-item">
                                        <button class="btn btn-danger menuButton dropdown-toggle" type="button" id="dropdownMenuButton3" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"> Time Management </button>
                                        <div class="dropdown-menu" aria-labelledby="dropdownMenuButton3">
                                            <a class="dropdown-item" th:href="@{/employee-time-off}">Time Off</a>
                                            <a class="dropdown-item" th:href="@{/employee-attendance}">Attendance</a>
                                            <a class="dropdown-item" th:href="@{/employee-overtime}">Overtime</a>
                                            <!-- <div class="dropdown-divider"></div>
                                            <a class="dropdown-item" href="#">Separated link</a> -->
                                        </div>
                                    </li>
                                    <li class="list-inline-item">
                                        <button class="btn btn-danger menuButton dropdown-toggle" type="button" id="dropdownMenuButton3" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"> Finance </button>
                                        <div class="dropdown-menu" aria-labelledby="dropdownMenuButton3">
                                            <h6 class="dropdown-header">Settings</h6>
                                            <a class="dropdown-item" href="#">Action</a>
                                            <a class="dropdown-item" href="#">Another action</a>
                                            <a class="dropdown-item" href="#">Something else here</a>
                                            <div class="dropdown-divider"></div>
                                            <a class="dropdown-item" href="#">Separated link</a>
                                        </div>
                                    </li>
                                    <li class="list-inline-item">
                                        <button class="btn btn-danger menuButton dropdown-toggle" type="button" id="dropdownMenuButton3" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"> History </button>
                                        <div class="dropdown-menu" aria-labelledby="dropdownMenuButton3">
                                            <h6 class="dropdown-header">Settings</h6>
                                            <a class="dropdown-item" href="#">Action</a>
                                            <a class="dropdown-item" href="#">Another action</a>
                                            <a class="dropdown-item" href="#">Something else here</a>
                                            <div class="dropdown-divider"></div>
                                            <a class="dropdown-item" href="#">Separated link</a>
                                        </div>
                                    </li>
                                    <li class="list-inline-item">
                                        <button class="btn btn-danger menuButton dropdown-toggle" type="button" id="dropdownMenuButton3" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"> More </button>
                                        <div class="dropdown-menu" aria-labelledby="dropdownMenuButton3">
                                            <h6 class="dropdown-header">Settings</h6>
                                            <a class="dropdown-item" href="#">Action</a>
                                            <a class="dropdown-item" href="#">Another action</a>
                                            <a class="dropdown-item" href="#">Something else here</a>
                                            <div class="dropdown-divider"></div>
                                            <a class="dropdown-item" href="#">Separated link</a>
                                        </div>
                                    </li>
                                </ul>
                            </div>
                        </div>
                    </div>
                    
                    <div class="card-body">
                        <div class="col-sm-12">
                            <div class="row">
                                <div class="col-sm-6" style="height: 50px;">
                                    <h4 class="card-title" style="margin-bottom: 10px;">Employee Dummy Name's overtime information</h4>
                                    <p class="card-description">This is summary of your employee overtime information.</p>
                                </div>
                                <div class="col-sm-6 d-flex flex-row-reverse" style="height: 50px;">
                                    <button class="btn btn-info btn-fw" style="padding-top:18px;" data-toggle="modal" data-target="#requestOvertime">REQUEST OVERTIME</button>
                                </div>
                            </div>
                        </div>
                        <hr />
                        <div class="col-lg-12">
                            <table class="table display" style="width:100%">
                                <thead>
                                    <tr>
                                        <th>Created Date</th>
                                        <th>Overtime Date</th>
                                        <th>Status</th>
                                        <th>Compensation Type</th>
                                        <th>Approval</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    <tr>
                                        <td>2020-02-19</td>
                                        <td>2020-02-14</td>
                                        <td>Approved</td>
                                        <td>Paid Overtime</td>
                                        <td><button class="btn btn-success btn-sm" title="Approval" data-toggle="modal" data-target="#approval"><i class="fa fa-check-square-o"></i> </button></td>
                                        <td><button class="btn btn-warning btn-sm" title="Detail" data-toggle="modal" data-target="#detail"><i class="fa fa-eye"></i> </button></td>
                                    </tr>
                                    <tr>
                                        <td>2020-02-19</td>
                                        <td>2020-02-11</td>
                                        <td>Approved</td>
                                        <td>Paid Overtime</td>
                                        <td><button class="btn btn-success btn-sm" title="Approval" data-toggle="modal" data-target="#approval"><i class="fa fa-check-square-o"></i> </button></td>
                                        <td><button class="btn btn-warning btn-sm" title="Detail" data-toggle="modal" data-target="#detail"><i class="fa fa-eye"></i> </button></td>
                                    </tr>
                                    <tr>
                                        <td>2020-02-19</td>
                                        <td>2020-02-18</td>
                                        <td>Approved</td>
                                        <td>Paid Overtime</td>
                                        <td><button class="btn btn-success btn-sm" title="Approval" data-toggle="modal" data-target="#approval"><i class="fa fa-check-square-o"></i> </button></td>
                                        <td><button class="btn btn-warning btn-sm" title="Detail" data-toggle="modal" data-target="#detail"><i class="fa fa-eye"></i> </button></td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>

                    <!-- Modal Request Overtime -->
                    <div class="modal fade" id="requestOvertime" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                        <div class="modal-dialog modal-lg d-flex justify-content-center">
                            <div class="modal-content col-sm-9">
                                <div class="modal-header">
                                    <h5 class="modal-title">Request Overtime</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <form action="#">
                                    <div class="modal-body modal-scroll">
                                        <div class="form-group row">
                                            <div class="col-sm-4">
                                                <label for="requestOvertime">Request Date</label>
                                                <div style="margin-top: -5px; height: 25px;" id="datepicker-popup" class="form-group input-group date datepicker">
                                                    <span class="input-group-addon input-group-append border-left">
                                                        <span class="fa fa-calendar input-group-text"></span>
                                                    </span>
                                                    <input type="text" class="form-control form-control-sm" id="requestOvertime" name="requestOvertime" readonly>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="form-group row">
                                            <div class="col-sm-4">
                                                <label for="shift">Shift</label>
                                                <input type="text" class="form-control" id="shift" value="ADM1" readonly>
                                            </div>
                                            <div class="col-sm-4">
                                                <label for="shift">Schedule In</label>
                                                <input type="text" class="form-control" id="scheduleIn" value="08:00" readonly>
                                            </div>
                                            <div class="col-sm-4">
                                                <label for="shift">Schedule Out</label>
                                                <input type="text" class="form-control" id="scheduleOut" value="17:00" readonly>
                                            </div>
                                        </div>

                                        <div class="form-group row">
                                            <div class="col-sm-6">
                                                <label>Overtime before duration</label>
                                                <div class="row">
                                                    <div class="col-sm-4">
                                                        <label for="shift">Hour</label>
                                                        <input type="text" class="form-control" id="overtimeHourBefore" value="0">
                                                    </div>
                                                    <div class="col-sm-4">
                                                        <label for="shift">Minutes</label>
                                                        <input type="text" class="form-control" id="overtimeMinuteBefore" value="0">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-sm-6">
                                                <label>Overtime after duration</label>
                                                <div class="row">
                                                    <div class="col-sm-4">
                                                        <label for="shift">Hour</label>
                                                        <input type="text" class="form-control" id="overtimeHourAfter" value="0">
                                                    </div>
                                                    <div class="col-sm-4">
                                                        <label for="shift">Minutes</label>
                                                        <input type="text" class="form-control" id="overtimeMinuteAfter" value="0">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="form-group row">
                                            <div class="col-sm-6">
                                                <label>Break before duration</label>
                                                <div class="row">
                                                    <div class="col-sm-4">
                                                        <label for="shift">Hour</label>
                                                        <input type="text" class="form-control" id="breakHourBefore" value="0">
                                                    </div>
                                                    <div class="col-sm-4">
                                                        <label for="shift">Minutes</label>
                                                        <input type="text" class="form-control" id="breakMinuteBefore" value="0">
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-sm-6">
                                                <label>Break after duration</label>
                                                <div class="row">
                                                    <div class="col-sm-4">
                                                        <label for="shift">Hour</label>
                                                        <input type="text" class="form-control" id="breakHourAfter" value="0">
                                                    </div>
                                                    <div class="col-sm-4">
                                                        <label for="shift">Minutes</label>
                                                        <input type="text" class="form-control" id="breakMinuteAfter" value="0">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                        <div class="form-group row">
                                            <label>Description</label>
                                            <textarea class="form-control" id="notesDelegation" rows="4"></textarea>
                                        </div>
                                    </div>

                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-success">Submit</button>
                                        <button type="button" class="btn btn-light" data-dismiss="modal">Cancel</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>

                    <!-- Modal Request Overtime -->
                    <div class="modal fade" id="approval" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                        <div class="modal-dialog modal-lg d-flex justify-content-center">
                            <div class="modal-content col-sm-9">
                                <div class="modal-header">
                                    <h5 class="modal-title">Approval Detail</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                
                                <div class="modal-body modal-scroll">
                                    <table class="table">
                                        <thead>
                                            <tr>
                                                <th>Approval</th>
                                                <th>Employee Id</th>
                                                <th>PIC</th>
                                                <th>Status</th>
                                                <th>Comment</th>
                                                <th>Decision By</th>
                                                <th>Updated Date</th>
                                            </tr>
                                        </thead>
                                        <tbody>
                                            <tr>
                                                <td>1</td>
                                                <td>018.279</td>
                                                <td>Prima Ema Delta, M.Psi, Psi</td>
                                                <td>Approved</td>
                                                <td></td>
                                                <td>Prima Ema Delta, M.Psi, Psi</td>
                                                <td>2020-02-20 10:45:11</td>
                                            </tr>
                                            <tr>
                                                <td>2</td>
                                                <td>007.071</td>
                                                <td>Dr. Sugiyarti Fatma Laela, M.Buss.Acc. CMA</td>
                                                <td>Approved</td>
                                                <td></td>
                                                <td>Dr. Sugiyarti Fatma Laela, M.Buss.Acc. CMA</td>>
                                                <td>2020-02-22 19:17:55</td>
                                            </tr>
                                        </tbody>
                                    </table>
                                </div>

                                <div class="modal-footer">
                                    <button type="button" class="btn btn-light" data-dismiss="modal">Cancel</button>
                                </div>
                            </div>
                        </div>
                    </div>

                    <!-- Modal Overtime Request Detail -->
                    <div class="modal fade" id="detail" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                        <div class="modal-dialog modal-lg d-flex justify-content-center">
                            <div class="modal-content col-sm-8">
                                <div class="modal-header">
                                    <h5 class="modal-title">Overtime Request Detail</h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>

                                <div class="modal-body modal-scroll">
                                    <div class="form-group row">
                                        <div class="col-sm-6">
                                            <label for="requestDateDetail">Request Date</label>
                                            <input type="text" class="form-control" id="requestDateDetail" value="14 Feb, 2020" readonly>
                                        </div>
                                        <div class="col-sm-6">
                                            <label for="status">status</label>
                                            <input type="text" class="form-control" id="scheduleIn" value="Approved" readonly>
                                        </div>
                                    </div>
                                    <div class="form-group row">
                                        <div class="col-sm-6">
                                            <label for="requestDateDetail">Employee Id</label>
                                            <input type="text" class="form-control" id="employeeId" value="001.006" readonly>
                                        </div>
                                        <div class="col-sm-6">
                                            <label for="status">Employee Name</label>
                                            <input type="text" class="form-control" id="scheduleIn" value="Abdul Rohman Saleh" readonly>
                                        </div>
                                    </div>
                                    <div class="form-group row">
                                        <div class="col-sm-6">
                                            <label for="compensationType">Compensation Type</label>
                                            <input type="text" class="form-control" id="compensationType" value="Paid Overtime" readonly>
                                        </div>
                                    </div>
                                    <div class="form-group row">
                                        <div class="col-sm-6">
                                            <label for="shiftDetail">Shift</label>
                                            <input type="text" class="form-control" id="shiftDetail" value="ADM1" readonly>
                                        </div>
                                        <div class="col-sm-6">
                                            <label for="workSchedule">Work Schedule</label>
                                            <input type="text" class="form-control" id="workSchedule" value="08:00:00 - 17:00:00" readonly>
                                        </div>
                                    </div>

                                    <div class="form-group row">
                                        <div class="col-sm-6">
                                            <label for="otBeforeDuration">OT Before Duration</label>
                                            <input type="text" class="form-control" id="otBeforeDuration" value="4 hours" readonly>
                                        </div>
                                        <div class="col-sm-6">
                                            <label for="otAfterDuration">OT After Duration</label>
                                            <input type="text" class="form-control" id="otAfterDuration" value="-" readonly>
                                        </div>
                                    </div>

                                    <div class="form-group row">
                                        <div class="col-sm-6">
                                            
                                        </div>
                                        <div class="col-sm-6">
                                            <label for="breakBeforeDuration">Break Before Duration</label>
                                            <input type="text" class="form-control" id="breakBeforeDuration" value="-" readonly>
                                        </div>
                                    </div>

                                    <div class="form-group row">
                                        <div class="col-sm-6">
                                            <label for="breakAfterDuration">Break After Duration</label>
                                            <input type="text" class="form-control" id="breakAfterDuration" value="-" readonly>
                                        </div>
                                        <div class="col-sm-6">
                                            <label for="approvedOtBefore">Approved OT Duration</label>
                                            <input type="text" class="form-control" id="workSchedule" value="4 hours" readonly>
                                        </div>
                                    </div>

                                    <div class="form-group row">
                                        <div class="col-sm-6">
                                            <label for="approvedOtAfter">Approved OT After</label>
                                            <input type="text" class="form-control" id="approvedOtAfter" value="-" readonly>
                                        </div>
                                        <div class="col-sm-6">
                                            <label for="reason">Reason</label>
                                            <input type="text" class="form-control" id="reason" value="-" readonly>
                                        </div>
                                    </div>

                                    <div class="form-group row">
                                        <label>OT Notes</label>
                                        <textarea class="form-control" id="otNotes" rows="4" readonly>Mengantar Tim Humas roadshow ke Sukabumi (Pesantren Al Saalam)</textarea>
                                    </div>
                                </div>

                                <div class="modal-footer">
                                    <button type="button" class="btn btn-light" data-dismiss="modal">Close</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <!-- content-wrapper ends -->
                <!-- partial:../../partials/_footer.html -->
                <footer th:replace="fragments/side-menu-footer :: footer"></footer>
                <!-- partial -->
            </div>
            <!-- main-panel ends -->
        </div>
        <!-- page-body-wrapper ends -->
    </div>
    
    <div th:replace="fragments/side-menu-footer :: js"></div>

    <!-- Plugin js for this page -->
    <script th:src="@{assets/vendors/datatables.net/jquery.dataTables.js}"></script>
    <script th:src="@{assets/vendors/datatables.net-bs4/dataTables.bootstrap4.js}"></script>
    <script th:src="@{assets/vendors/datatables.net/dataTables.fixedColumns.min.js}"></script>
    <script th:src="@{assets/vendors/bootstrap-datepicker/bootstrap-datepicker.min.js}"></script>
    <!-- End plugin js for this page -->
    <!-- Custom js for this page -->
    <script th:src="@{assets/js/modal-demo.js}"></script>
    <script th:src="@{assets/customJs/employee-overtime.js}"></script>
    <!-- End custom js for this page -->
</body>

</html>